package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Testb;
import com.realnet.basicp1.Services.TestbService ;














import com.realnet.basicp1.Entity.Testb;






@RequestMapping(value = "/token/Testb")
 @CrossOrigin("*") 
@RestController
public class tokenFree_TestbController {
	@Autowired
	private TestbService Service;

@Value("${projectPath}")
	private String projectPath;
 




















	@PostMapping("/Testb")
		  public Testb Savedata(@RequestBody Testb data) {
		Testb save = Service.Savedata(data)	;



















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testb/{id}")
	public  Testb update(@RequestBody Testb data,@PathVariable Integer id ) {
		Testb update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testb/getall/page")
	public Page<Testb> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testb> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testb")
	public List<Testb> getdetails() {
		 List<Testb> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testb")
	public List<Testb> getallwioutsec() {
		 List<Testb> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testb/{id}")
	public  Testb  getdetailsbyId(@PathVariable Integer id ) {
		Testb  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testb/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

















	@PostMapping("/Testb/Testb_insert")
	public Testb insertTestb(@RequestBody Testb data) {
		Testb insertaction = Service.insertTestb(data);
		return insertaction;
	}





}